- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivityGroups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivityGroups/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivityGroups/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivityGroups/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivityGroups/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivityGroups/list#body.FloodlightActivityGroupsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivityGroups/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivityGroups/list#try-it)

Retrieves a list of floodlight activity groups, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/floodlightActivityGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only floodlight activity groups with the specified IDs. Must specify either `advertiserId` or `floodlightConfigurationId` for a non-empty result. |
| `type` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/FloodlightActivityGroupType`)`` Select only floodlight activity groups with the specified floodlight activity group type. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only floodlight activity groups with the specified advertiser ID. Must specify either `advertiserId` or `floodlightConfigurationId` for a non-empty result. |
| `floodlightConfigurationId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only floodlight activity groups with the specified floodlight configuration ID. Must specify either `advertiserId`, or `floodlightConfigurationId` for a non-empty result. |
| `maxResults` | `integer` Maximum number of results to return. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `searchString` | `string` Allows searching for objects by name or ID. Wildcards (`*`) are allowed. For example, `"floodlightactivitygroup*2015"` will return objects with names like `"floodlightactivitygroup June 2015"`, `"floodlightactivitygroup April 2015"`, or simply `"floodlightactivitygroup 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"floodlightactivitygroup"` will match objects with name `"my floodlightactivitygroup activity"`, `"floodlightactivitygroup 2015"`, or simply `"floodlightactivitygroup"`. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Floodlight Activity Group floodlightActivityGroups.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "floodlightActivityGroups": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivityGroups#FloodlightActivityGroup`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#floodlightActivityGroupsListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `floodlightActivityGroups[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/floodlightActivityGroups#FloodlightActivityGroup`)`` Floodlight activity group collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`